# Generated from encore-0.2.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name encore

Name: rubygem-%{gem_name}
Version: 0.2.3
Release: 1%{?dist}
Summary: Encore provides serializers and persisters to build JSON API-compliant Web services with Ruby on Rails
License: BSD 3-Clause
URL: https://github.com/mirego/encore
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0.0
# BuildRequires: rubygem(rspec) < 3.1
# BuildRequires: rubygem(sqlite3) >= 1.3.8
# BuildRequires: rubygem(sqlite3) < 1.4
# BuildRequires: rubygem(rubocop) = 0.22
# BuildRequires: rubygem(phare)
BuildArch: noarch

%description
Encore provides serializers and persisters to build JSON API-compliant Web
services with Ruby on Rails.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/encore.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.2.3-1
- Initial package
